using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {
			 CategoryBuilder.Create("EAP","only half-life 1!!!", ModAPI.LoadSprite("EAP.png"));

			 //ROK


			 ModAPI.Register(
		 new Modification()
		 {
				 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
				 NameOverride = "AKM with Cobra",
				 DescriptionOverride = "AKM with Cobra scope",
				 CategoryOverride = ModAPI.FindCategory("EAP"),
				 ThumbnailOverride = ModAPI.LoadSprite("", 30f),
				 AfterSpawn = (Instance) =>
				 {
ModAPI.KeepExtraObjects();
								var ThompsonSlide = Instance.transform.Find("Slide");
								ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Cobra Bolt.png", 12f);
						 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Cobra.png", 12f);
						 var firearm = Instance.GetComponent<FirearmBehaviour>();
						 Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
						 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
						 firearm.casingPosition = new Vector3(-0.250f,0.100f);
						 customCartridge.name = "5.56x45mm";
						 customCartridge.Recoil *= 4f;
						 firearm.Cartridge = customCartridge;
							Instance.GetComponent<FirearmBehaviour>().Automatic = true;
							 Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						 Instance.FixColliders();
						 firearm.ShotSounds = new AudioClip[]
						 {
								ModAPI.LoadSound(""),
						 };
				 }
		 }
		 );

		 ModAPI.Register(
	 new Modification()
	 {
			 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
			 NameOverride = "AKM with Cobra GP",
			 DescriptionOverride = "AKM with Cobra scope and GP-25",
			 CategoryOverride = ModAPI.FindCategory("EAP"),
			 ThumbnailOverride = ModAPI.LoadSprite("", 30f),
			 AfterSpawn = (Instance) =>
			 {
ModAPI.KeepExtraObjects();
							var ThompsonSlide = Instance.transform.Find("Slide");
							ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Cobra GP Bolt.png", 12f);
					 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Cobra GP.png", 12f);
					 var firearm = Instance.GetComponent<FirearmBehaviour>();
					 Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
					 firearm.casingPosition = new Vector3(-0.250f,0.100f);
					 customCartridge.name = "5.56x45mm";
					 customCartridge.Recoil *= 4f;
					 firearm.Cartridge = customCartridge;
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
						 Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
					 Instance.FixColliders();
					 firearm.ShotSounds = new AudioClip[]
					 {
							ModAPI.LoadSound(""),
					 };
			 }
	 }
	 );

	 ModAPI.Register(
 new Modification()
 {
		 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
		 NameOverride = "AKM with GP",
		 DescriptionOverride = "AKM with GP-25",
		 CategoryOverride = ModAPI.FindCategory("EAP"),
		 ThumbnailOverride = ModAPI.LoadSprite("", 30f),
		 AfterSpawn = (Instance) =>
		 {
ModAPI.KeepExtraObjects();
						var ThompsonSlide = Instance.transform.Find("Slide");
						ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM GP Bolt.png", 12f);
				 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with GP.png", 12f);
				 var firearm = Instance.GetComponent<FirearmBehaviour>();
				 Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
				 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
				 firearm.casingPosition = new Vector3(-0.250f,0.100f);
				 customCartridge.name = "5.56x45mm";
				 customCartridge.Recoil *= 4f;
				 firearm.Cartridge = customCartridge;
					Instance.GetComponent<FirearmBehaviour>().Automatic = true;
					 Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
				 Instance.FixColliders();
				 firearm.ShotSounds = new AudioClip[]
				 {
						ModAPI.LoadSound(""),
				 };
		 }
 }
 );

 ModAPI.Register(
new Modification()
{
	 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	 NameOverride = "AKMS with Cobra",
	 DescriptionOverride = "AKMS with Cobra scope",
	 CategoryOverride = ModAPI.FindCategory("EAP"),
	 ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	 AfterSpawn = (Instance) =>
	 {
ModAPI.KeepExtraObjects();
					var ThompsonSlide = Instance.transform.Find("Slide");
					ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS Cobra Bolt.png", 12f);
			 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with Cobra.png", 12f);
			 var firearm = Instance.GetComponent<FirearmBehaviour>();
			 Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			 firearm.casingPosition = new Vector3(-0.250f,0.100f);
			 customCartridge.name = "5.56x45mm";
			 customCartridge.Recoil *= 4f;
			 firearm.Cartridge = customCartridge;
				Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				 Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			 Instance.FixColliders();
			 firearm.ShotSounds = new AudioClip[]
			 {
					ModAPI.LoadSound(""),
			 };
	 }
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS with GP and Cobra",
	DescriptionOverride = "AKM with GP-25",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS Cobra GP Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with GP Cobra.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM Romanian",
	DescriptionOverride = "AKM with Romanian grip",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Romanian Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Romanian.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM Romanian Drum",
	DescriptionOverride = "AKM with Romanian grip and Drum mag",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Romanian Drum Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Drum Romanian.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM with PBS",
	DescriptionOverride = "AKM with PBS-1 silencer",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM PBS.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM PSO-1",
	DescriptionOverride = "AKM with Sniper PSO-1 scope",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM PSO Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with PSO-1.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM with Cobra GP and PBS",
	DescriptionOverride = "AKM with PBS-1 silencer",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Cobra GP PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Cobra GP PBS.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM with PSO-1 PBS",
	DescriptionOverride = "AKM with PBS-1 silencer",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM PSO PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with PSO-1 pbs.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AK with Cobra Romanian Drum",
	DescriptionOverride = "AKM with Romanian grip and drum mag",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Cobra Romanian Drum Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Cobra Romanian Drum.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AK with Cobra Romanian",
	DescriptionOverride = "AKM with Romanian grip",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Cobra Romanian Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Cobra Romanian.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM with Cobra Romanian PBS",
	DescriptionOverride = "AKM with PBS-1 silencer Cobra scope and Romanian grip",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Cobra Romanian PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Cobra Romanian PBS.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS with Cobra Romanian PBS",
	DescriptionOverride = "AKM with PBS-1 silencer Cobra scope and Romanian grip",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with Cobra PBS Romanian Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with Cobra PBS Romanian.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM with Romanian PBS",
	DescriptionOverride = "AKM with PBS-1 silencer and Romanian grip",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Romanian PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with Romanian PBS.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AK with PSO-1 romanian PBS",
	DescriptionOverride = "AKM with PBS-1 silencer and Romanian grip",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with PSO-1 romanian PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK with PSO-1 romanian PBS.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS with Cobra PBS",
	DescriptionOverride = "AKMS with Cobra PBS",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with Cobra PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with Cobra PBS.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS with Cobra PBS",
	DescriptionOverride = "AKMS with Cobra PBS",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with Cobra PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with Cobra PBS.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS with PBS GP",
	DescriptionOverride = "AKMS with PBS GP",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with PBS GP.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS with PBS",
	DescriptionOverride = "AKMS with PBS",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with PBS Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with PBS.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS with GP",
	DescriptionOverride = "AKMS with GP",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with GP Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS with GP.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS Romanian",
	DescriptionOverride = "AKMS Romanian",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS Romanian Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS Romanian.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS Drum Romanian",
	DescriptionOverride = "AKMS Drum Romanian",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS Drum Romanian Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS Drum Romanian.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKMS Drum Cobra Romainan",
	DescriptionOverride = "AKMS Drum Cobra Romainan",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS Drum Cobra Romainan Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKMS Drum Cobra Romainan.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM Tactical 1",
	DescriptionOverride = "AKM in tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK_with_GP_Polymer_Grip_MRS_stock-1 Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK_with_GP_Polymer_Grip_MRS_stock-1.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM Tactical 2",
	DescriptionOverride = "AKM in tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK_with_GP_Polymer_Grip_MRS_stock2-1 Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK_with_GP_Polymer_Grip_MRS_stock2-1.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM Tactical 3",
	DescriptionOverride = "AKM in tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Tactical 3 Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Tactical 3.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AK Tactical 3 with PMAG EOtech Zhukov ZenithCO",
	DescriptionOverride = "AKM in tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical 3 with PMAG EOtech Zhukov ZenithCO Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical 3 with PMAG EOtech Zhukov ZenithCO.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AK Tactical 3 with PMAG EOtech Zhukov ZenithCO TPG",
	DescriptionOverride = "AKM with TPG-A and tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical 3 with PMAG EOtech Zhukov ZenithCO TPG Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical 3 with PMAG EOtech Zhukov ZenithCO TPG.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AK Tactical 3 with PMAG EOtech",
	DescriptionOverride = "AKM in tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical 3 with PMAG EOtech Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical 3 with PMAG EOtech.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AK Tactical 3 with PMAG",
	DescriptionOverride = "AKM in tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Tactical 3 PMAG Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical 3 with PMAG.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AK Tactical DLG",
	DescriptionOverride = "AKM in tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical DLG Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AK Tactical DLG.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM Hexagon",
	DescriptionOverride = "AKM with and tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Hexagon Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Hexagon.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound("Sounds/asval.wav"),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "AKM Assault Custom",
	DescriptionOverride = "AKM in tactical attachements",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Assault Custom Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/AKM Assault Custom.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);

ModAPI.Register(
new Modification()
{
	OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
	NameOverride = "Golden AKM",
	DescriptionOverride = "AKM in Gold",
	CategoryOverride = ModAPI.FindCategory("EAP"),
	ThumbnailOverride = ModAPI.LoadSprite("", 30f),
	AfterSpawn = (Instance) =>
	{
ModAPI.KeepExtraObjects();
				 var ThompsonSlide = Instance.transform.Find("Slide");
				 ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/Golden AKM Bolt.png", 12f);
			Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK/Golden AKM.png", 12f);
			var firearm = Instance.GetComponent<FirearmBehaviour>();
			Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
			Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);
			firearm.casingPosition = new Vector3(-0.250f,0.100f);
			customCartridge.name = "5.56x45mm";
			customCartridge.Recoil *= 4f;
			firearm.Cartridge = customCartridge;
			 Instance.GetComponent<FirearmBehaviour>().Automatic = true;
				Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
			Instance.FixColliders();
			firearm.ShotSounds = new AudioClip[]
			{
				 ModAPI.LoadSound(""),
			};
	}
}
);


























              }

public class MultipleSpriteHumanBehaviour : MonoBehaviour
    {
        public Texture2D[] Textures = new Texture2D[0];
        public PersonBehaviour person;
        public int CurrentTexture = -2;
        public int Scale = 6;

        void Start()
        {
            SetTexture();
        }

        public void SetTexture()
        {
            if (Textures.Length == 0)
                return;

            if(CurrentTexture == -2)
            {
                CurrentTexture = UnityEngine.Random.Range(0, Textures.Length);
            }
            person.SetBodyTextures(Textures[CurrentTexture], null, null, Scale);
            for (int i = 0; i < person.Limbs.Length; i++)
            {
                person.Limbs[i].gameObject.GetComponent<PhysicalBehaviour>().RefreshOutline();
            }
        }
}    }
}
